Pivotal Container Service v1.0

Prerequisites for Using PKS

The procedures for using PKS have the following prerequisites:

  • You must have a Pivotal Cloud Foundry (PCF) deployment with Ops Manager v2.0 or later and PKS installed.

  • You must have the PKS CLI installed.

  • You must have the Kubernetes CLI installed. For more information about using kubectl, see the kubectl documentation.

  • You must have an external TCP or HTTPS load balancer configured to forward traffic to the PKS API endpoint. For more information, see the Configure External Load Balancer section of Installing and Configuring PKS on GCP or vSphere.

  • You must know the address of your PKS API endpoint and have a UAA-created user account that has been granted PKS cluster access. For more information, see Manage Users in UAA.

    Note: If your PKS installation is integrated with NSX-T, use the DNAT IP address assigned in the Apply Changes and Retrieve the PKS Endpoint section of Installing and Configuring PKS with NSX-T Integration.

Create a pull request or raise an issue on the source for this page in GitHub